Skip to main content
GET
/
api
/
v2.1
/
customer
/
individual
/
{customerId}
/
owner
/
{ownerTenantId}
/
activation
/
check
cURL
curl --request GET \
  --url https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/owner/{ownerTenantId}/activation/check \
  --header 'Authorization: <authorization>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/owner/{ownerTenantId}/activation/check"

headers = {
"X-Forwarded-For": "<x-forwarded-for>",
"X-Tenant-ID": "<x-tenant-id>",
"X-Forwarded-From": "<x-forwarded-from>",
"platform": "<platform>",
"deviceId": "<deviceid>",
"Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-Forwarded-For': '<x-forwarded-for>',
'X-Tenant-ID': '<x-tenant-id>',
'X-Forwarded-From': '<x-forwarded-from>',
platform: '<platform>',
deviceId: '<deviceid>',
Authorization: '<authorization>'
}
};

fetch('https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/owner/{ownerTenantId}/activation/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Individual Activation Readiness Check

Validates KYC and consent prerequisites before activation.

Endpoint

GET /api/v2.1/customer/individual/{customerId}/owner/{ownerTenantId}/activation/check

Path Parameters

customerId
string
required
Customer UUID
ownerTenantId
string
required
Owner tenant UUID

Required Headers

Response Example

200
{
  "code": 200,
  "data": {
    "activationAllowed": true,
    "consentOk": true,
    "verificationOk": true,
    "riskLevel": "LOW",
    "message": "Customer is ready for activation"
  },
  "message": "Customer is ready for activation"
}
Used in B2C step runner Step 7.

Headers

X-Forwarded-For
string
required
X-Tenant-ID
string
required
X-Forwarded-From
string
required
platform
string
required
deviceId
string
required
Authorization
string
required

Path Parameters

customerId
string
required
ownerTenantId
string
required

Response

200

Readiness status